<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.ozs</groupId>
    <artifactId>VehicleMonitor</artifactId>
    <packaging>pom</packaging>
    <version>1.0-SNAPSHOT</version>

    <description>地系统</description>


    <properties>
        <base.version>1.0-SNAPSHOT</base.version>
        <vehicle.version>1.0-SNAPSHOT</vehicle.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>

            <!-- SpringBoot的依赖配置-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>2.5.14</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- 通用工具-->
            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-common</artifactId>
                <version>${base.version}</version>
            </dependency>

            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-framework</artifactId>
                <version>${base.version}</version>
            </dependency>

            <!-- 定时任务-->
            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-quartz</artifactId>
                <version>${base.version}</version>
            </dependency>

            <!-- 代码生成-->
            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>base-generator</artifactId>
                <version>${base.version}</version>
            </dependency>

            <dependency>
                <groupId>com.ozs</groupId>
                <artifactId>business-service</artifactId>
                <version>${vehicle.version}</version>
            </dependency>
            <!--kingbase8.jdbc-->
            <!--            <dependency>-->
            <!--                <groupId>com.kingbase8.jdbc</groupId>-->
            <!--                <artifactId>kingbase8</artifactId>-->
            <!--                <version>8.6.0</version>-->
            <!--                <scope>system</scope>-->
            <!--                <systemPath>${pom.basedir}/libs/kingbase8-8.6.0.jar</systemPath>-->
            <!--            </dependency>-->
        </dependencies>
    </dependencyManagement>

    <modules>
        <module>vehicle-admin</module>
        <module>business-service</module>
    </modules>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>


    <!--    <repositories>-->
    <!--        <repository>-->
    <!--            <id>public</id>-->
    <!--            <name>aliyun nexus</name>-->
    <!--            <url>https://maven.aliyun.com/repository/public</url>-->
    <!--            <releases>-->
    <!--                <enabled>true</enabled>-->
    <!--            </releases>-->
    <!--        </repository>-->
    <!--    </repositories>-->

    <!--    <pluginRepositories>-->
    <!--        <pluginRepository>-->
    <!--            <id>public</id>-->
    <!--            <name>aliyun nexus</name>-->
    <!--            <url>https://maven.aliyun.com/repository/public</url>-->
    <!--            <releases>-->
    <!--                <enabled>true</enabled>-->
    <!--            </releases>-->
    <!--            <snapshots>-->
    <!--                <enabled>false</enabled>-->
    <!--            </snapshots>-->
    <!--        </pluginRepository>-->
    <!--    </pluginRepositories>-->

    <repositories>
        <repository>
            <id>custom_group</id>
            <name>Nexus Repository</name>
            <url>http://124.71.171.71:18881/repository/custom_group/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <id>custom_group</id>
            <name>Nexus Plugin Repository</name>
            <url>http://124.71.171.71:18881/repository/custom_group/</url>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
            <releases>
                <enabled>true</enabled>
            </releases>
        </pluginRepository>
    </pluginRepositories>
    <!--项目分发信息，在执行mvn deploy后表示要发布的位置。有了这些信息就可以把网站部署到远程服务器或者把构件jar等部署到远程仓库。 -->
    <distributionManagement>
        <repository><!--部署项目产生的构件到远程仓库需要的信息 -->
            <id>custom_releases</id><!-- 此处id和settings.xml的id保持一致 -->
            <name>Nexus Release Repository</name>
            <url>http://124.71.171.71:18881/repository/custom_releases/</url>
        </repository>
        <snapshotRepository><!--构件的快照部署到哪里？如果没有配置该元素，默认部署到repository元素配置的仓库，参见distributionManagement/repository元素 -->
            <id>custom_snapshots</id><!-- 此处id和settings.xml的id保持一致 -->
            <name>Nexus Snapshot Repository</name>
            <url>http://124.71.171.71:18881/repository/custom_snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

</project>
